Bug 1032941 - hwcert-backend Error: could not determine selinux parameters
hwcert-backend Error: could not determine selinux parameters
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
Depends On:
Blocks: 1016295
  Show dependency treegraph
Reported: 2013-11-21 04:38 EST by Dong Zhu
Modified: 2016-07-05 13:50 EDT (History)
4 users (show)

See Also:
Fixed In Version: hwcert-client 1.7.0-20131203
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-05 13:50:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix the error "could not determine selinux parameters" when selinux is disabled (3.13 KB, patch)
2013-11-28 00:37 EST, Dong Zhu
gnichols: review+
Details | Diff

  None (edit)
Description Dong Zhu 2013-11-21 04:38:40 EST
Description of problem:
when executing "hwcert-backend run" I got the following errors on rhel-7 :
# hwcert-backend run

Running the following tests:
USB2                  pci0000:00/0000:00:1a.7/usb1        
1GigEthernet enp11s0    pci0000:00/0000:00:01.0/0000:0b:00.0/net/enp11s0
Ethernet   enp0s29f0u2 usb5/5-2/5-2:1.0/net/enp0s29f0u2    
video                 pci0000:00/0000:00:1c.4/0000:06:00.0/0000:07:00.0
storage    host4      host4/target4:1:3/4:1:3:0/block/sda 
kdump      nfs                                            
kdump      local                                          

Network test for enp11s0 failed verification:
Error: No test server was set.

Network test for enp0s29f0u2 failed verification:
Error: Could not determine IP Address.
Error: No test server was set.
System Memory: 15907 MB
Free Memory: 15475 MB
Swap Memory: 8071 MB
Error: could not determine selinux parameters
"/usr/sbin/sestatus" no match for regular expression Current mode:[     ]+(?P<selinuxMode>[a-zA-Z]+)
kdump test for nfs failed verification: No test server was set.

4 Tests Failed Verification

selinux enabled:
# sestatus
SELinux status:                 enabled
SELinuxfs mount:                /sys/fs/selinux
SELinux root directory:         /etc/selinux
Loaded policy name:             targeted
Current mode:                   enforcing
Mode from config file:          enforcing
Policy MLS status:              enabled
Policy deny_unknown status:     allowed
Max kernel policy version:      28

selinux disabled:
# sestatus
SELinux status:                 disabled

If the the selinux is disabled currently it will not match the regex anymore so we will get this error.

Version-Release number of selected component (if applicable):
Comment 1 Dong Zhu 2013-11-28 00:37:44 EST
Created attachment 829992 [details]
Fix the error "could not determine selinux parameters" when selinux is disabled

Note You need to log in before you can comment on or make changes to this bug.